spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ian O'Connell" <...@ianoconnell.com>
Subject Re: Algebird using spark-shell
Date Thu, 30 Oct 2014 18:49:38 GMT
Algebird 0.8.0 has 2.11 support if you want to run in a 2.11 env.

On Thu, Oct 30, 2014 at 10:08 AM, Buntu Dev <buntudev@gmail.com> wrote:

> Thanks.. I was using Scala 2.11.1 and was able to
> use algebird-core_2.10-0.1.11.jar with spark-shell.
>
> On Thu, Oct 30, 2014 at 8:22 AM, Ian O'Connell <ian@ianoconnell.com>
> wrote:
>
>> Whats the error with the 2.10 version of algebird?
>>
>> On Thu, Oct 30, 2014 at 12:49 AM, thadude <ohprecio@yahoo.com> wrote:
>>
>>> I've tried:
>>>
>>> . /bin/spark-shell --jars algebird-core_2.10-0.8.1.jar
>>>
>>> scala> import com.twitter.algebird._
>>> import com.twitter.algebird._
>>>
>>> scala>  import HyperLogLog._
>>> import HyperLogLog._
>>>
>>> scala> import com.twitter.algebird.HyperLogLogMonoid
>>> import com.twitter.algebird.HyperLogLogMonoid
>>>
>>>
>>> scala> val hll = new HyperLogLogMonoid(12)
>>> hll: com.twitter.algebird.HyperLogLogMonoid =
>>> com.twitter.algebird.HyperLogLogMonoid@7bde289a
>>>
>>>
>>> https://github.com/twitter/algebird/wiki/Algebird-Examples-with-REPL
>>>
>>>
>>>
>>>
>>> --
>>> View this message in context:
>>> http://apache-spark-user-list.1001560.n3.nabble.com/Algebird-using-spark-shell-tp17701p17714.html
>>> Sent from the Apache Spark User List mailing list archive at Nabble.com.
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: user-unsubscribe@spark.apache.org
>>> For additional commands, e-mail: user-help@spark.apache.org
>>>
>>>
>>
>

Mime
View raw message